Bug 161127 - RenderMathMLRow::firstLineBaseline does not need to be overridden in RenderMathMLMenclose
Summary: RenderMathMLRow::firstLineBaseline does not need to be overridden in RenderMa...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: MathML (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Frédéric Wang (:fredw)
URL:
Keywords:
Depends on:
Blocks: 155879 161126
  Show dependency treegraph
 
Reported: 2016-08-23 23:41 PDT by Frédéric Wang (:fredw)
Modified: 2016-08-28 01:43 PDT (History)
5 users (show)

See Also:


Attachments
Patch (4.71 KB, patch)
2016-08-23 23:51 PDT, Frédéric Wang (:fredw)
darin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Wang (:fredw) 2016-08-23 23:41:54 PDT
RenderMathMLRow::firstLineBaseline already provides the correct calculation of ascent for non-empty menclose. Empty menclose are not used in practice so the calculation is irrelevant but aligning on mrow seems fine.

This will allow to get rid of the m_ascent member and will help to keep good vertical alignment of the 'D' in bug 161126.
Comment 1 Frédéric Wang (:fredw) 2016-08-23 23:51:27 PDT
Created attachment 286838 [details]
Patch
Comment 2 Frédéric Wang (:fredw) 2016-08-24 22:27:59 PDT
Comment on attachment 286838 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=286838&action=review

> Source/WebCore/ChangeLog:10
> +        calculated value is irrelevant. Aligning on mrow (i.e. leaving firstLineBaseline undefined)

Here it's actually "to 0" rather than "undefined".
Comment 3 Frédéric Wang (:fredw) 2016-08-28 01:43:07 PDT
Committed r205099: <http://trac.webkit.org/changeset/205099>